<?php
// ======================================================================
//
// AAI LOGIN WITH SHIBBOLETH HANDLING MULTIPLE ORGANIZATIONS
// 
// Boxes for all organizations with an input field for filter
//
// License: GNU GPL 3.0
// Source: https://git-repo.iml.unibe.ch/iml-open-source/login-aai
// ======================================================================

if (is_array($aIdplist) && count($aIdplist)) {
    $sOut = '';
    $sOut .= '<div id="filterbox"></div><div class="boxes">';
    foreach ($aIdplist as $aEntry) {
        $sOut .= '
                    <a href="' . $aEntry['_url']. '" 
                        class="idp"
                        title="' . $aEntry['_description'] . '"
                        >' . $aEntry['_label'] . '<br>
                        <span class="hidden">' . $aEntry['_description'] . ' ' . $aEntry['_keywords'] . ' .'. $aEntry['_tld'] . '</span>
                        <img src="' . $aEntry['_image'] . '"><br>
                    </a>
                '
                . "\n"
                ;
    }
    $sOut.='</div><div style="clear:both"></div>';
    echo $sOut;
} else {
    echo '<div class="msg error">No IDPs found in Discovery Feed.</div>';
}
